<?php
namespace Modules\Orders\Amadeus\ServicesList;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;


class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(ListingColumn::create('RECLOC'))
			->append(ListingColumn::create('passengers'))
			->append(ListingColumn::create('operation'))
			->append(ListingColumn::create('supplier'))
			->append(ListingColumn::create('itinerary'))
			->append(ListingColumn::create('prices')->setWidth(15))
			->append(ListingColumn::create('user'))
		->loadLabels($this->lang['index']['listingColumns'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}
